This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1385 - Failed compilation (affects the regular distribution too)
Failed compilation (affects the regular distribution too)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: linuxconf (Show other bugs)
1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-01 06:41 EST by enrico.scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-18 14:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description enrico.scholz 1999-03-01 06:41:09 EST
Compilation at a glibc2.1/kernel 2.2 system fails at 2
locations.

1. netconf/ipx.cc _needs_ an explicit "#include
<sys/socket.h>" (else you get a lot of missing symbols).
Currently this file will be included only if there is no
GLIBC. I guess this is done because the old libc5 had
problems to include some network headers together.

2. the firewall module has no chance to compile at a
glibc2.1 system. The FAQ of this library says:

"3.16.   Why has <netinet/ip_fw.h>
disappeared?

{AJ} The corresponding Linux kernel data structures and
constants are totally different in Linux 2.0 and Linux 2.2.
This situation has to be taken care in user programs using
the firewall structures and therefore those programs (ipfw
is AFAIK the only one) should deal with this problem
themselves."

So I think the best solution is to remove the firewall
directory from the DIRS-entry in modules/Makefile.



I know there is a new linuxconf 1.13 out there but I don't
know if it has still the errors above.
Comment 1 Cristian Gafton 1999-03-18 14:39:59 EST
Fixed in the current beta

Note You need to log in before you can comment on or make changes to this bug.